Show Selection Rule ALPHA

Read as Markdown Required plan: Scheduler

Description #

Selection Rules are used to resolve who should attend a Scheduling Request. This API allows you to view the existing state of a Selection Rule.

Authentication uses a client_secret of an Internal Application linked to the Organizational Unit.

URL format #

{data_center_url}/v1/scheduler/selection_rules/{selection_rule_id}

Example Request #

GET /v1/scheduler/selection_rules/sel_5ebac6d468ed0fb37a1b6e4a HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_TOKEN}
Content-Type: application/json; charset=utf-8

Example Response #

HTTP/1.1 200 OK

{
  "selection_rule": {
    "sub": "sel_5ebac6d468ed0fb37a1b6e4a",
    "name": "Engineers",
    "required": 1,
    "members": [
      {
        "display_name": "Alice",
        "email": "alice@evenitron.com",
        "sub": "acc_5ebac6d468ed0fb37a1b6e4a"
      }
    ]
  }
}

Response parameters #

selection_rule  #

An object representing the new state of the selection_rule.

selection_rule.sub  #

The ID of the Selection Rule, which can be used in the Show and Update endpoints.

selection_rule.name  #

The friendly name of the Selection Rule to help identify it. This is shown in the Scheduler UI to users.

selection_rule.required  #

The number of members that will be added to events. The value must be an integer, or can be the special value "all" if you want everyone in the rule to have to be available and added to the event.

selection_rule.members  #

An array of objects representing the user account for the member of this Selection Rule.